Permalink
Browse files

removed outdated ebuilds of mail-client/evolution via auto-sync

  • Loading branch information...
1 parent 33547c9 commit 186dc85bd664e5ceaefa0945bda02a196b47d752 @ahuemer ahuemer committed Mar 26, 2011
@@ -4,13 +4,7 @@ AUX evolution-2.32.0-wrong-lafile-usage.patch 634 RMD160 e14b9b17faacc3590419f7f
AUX evolution-2.32.1-libnotify-0.7.patch 2239 RMD160 b0d8f2e830e32d9bc227978074f7e9975ae1307a SHA1 64c1f4ed1311cead4071e7543704ee8eeca4e418 SHA256 73746e65a3ba190ace8bd1e5fc9d52f6a67556fac0ba8727d7705ffe74e3ce0d
DIST evolution-2.30.2-patches.tar.bz2 12728 RMD160 d8058da75675a1990aad84348a40cd3f7be21aa3 SHA1 4bbb89f10ba893ef992af5fc32aad84b2ad46d2f SHA256 f3d6dcfba9ee7c21b415d04a545902cb5a28d1bcc00e579c6cc78aeac7650a45
DIST evolution-2.30.2.tar.bz2 32570501 RMD160 c1b5703bc241a2dee20f94e60e7c9995c8cce841 SHA1 14ddccbf33eb86c976899eccea6ae1fb565ea9ca SHA256 470d12c0de9cae2dc0275152a356150c7a57339e6feca77f43508bd7d1f04d83
-DIST evolution-2.30.3.tar.bz2 32555386 RMD160 b79e3f6ba181033a9add979de8b6d518d451322c SHA1 f62e1dea59243242f626cc73ffdd68df28cedd57 SHA256 8c47e93ff5aedfad39d4224ae0751a938ccb7d2a2bcd407513cf1331c51b9cab
-DIST evolution-2.32.1-patches.tar.bz2 11365 RMD160 14bae11f36e91412fb322aaca614255d1c7c248c SHA1 46bf08b009d34a6f0b5cb3b9edad9b37183f526f SHA256 265ad7808d142274d1b0220ca2466106b080c40bd512e3d2fdc42f71914bc584
-DIST evolution-2.32.1.tar.bz2 31875075 RMD160 f16b500474319570e6bac482f205db0d790bab28 SHA1 ade956b205dcdb1ba964554fb90be459e6908bac SHA256 6f6f904b5a2c6cf51f9c44317fc1990b07593eba54957c3924c2db0a235117a3
DIST evolution-2.32.2.tar.bz2 31929154 RMD160 1d68825111309600093c8d4718e1cc001635e61d SHA1 48f25fffda1ac9c209fd02162ca298df5c03b05f SHA256 1831c7f5f00b4755869cf84ef3e3f79c4705a33e0659e72b6c1ffa4a59d4a4bb
-EBUILD evolution-2.30.2-r1.ebuild 5001 RMD160 914f9d8506391f90f9172085e54b8219a9c2d929 SHA1 edc68a101e1d013da442089905271b7a6cdb498d SHA256 ba2c105b7815579d3fa7c6640d8f57ee2d6c85ca798ca8456fc1986553196494
-EBUILD evolution-2.30.3.ebuild 5286 RMD160 8725ffbe770a2426a20dcbbde3d85cb1ab68c3e7 SHA1 82978a4af79c89d84ffa91051eaa2682589792ab SHA256 a83299eff2adeb3e3823853113058de5cab9176fdb4177212bfbf04c338b3b39
-EBUILD evolution-2.32.1-r1.ebuild 5943 RMD160 dff069849b280982471e803783b7231a24b1c435 SHA1 057cd3e00dfb71d03bba9af522dc66348af6b2fa SHA256 d7bc9c8ea226d1231fe9015076d0a2ae8190624e1d5779058ffae00cc296b74d
-EBUILD evolution-2.32.1.ebuild 5775 RMD160 35f11d95e401da95c0d82334dccb3bc3c196e120 SHA1 6200dec1fc2392fa870476da146153b2d6069654 SHA256 a6055bd070abb281eae644fe7f5396c56b539cc1ac8a1c692e0afacf3f3547c2
-EBUILD evolution-2.32.2-r1.ebuild 5784 RMD160 f9d3024b7c004761f909188947c1e53c602f65d3 SHA1 9cf7508df439fd461b1f3b9a6d5a7354c3f51afa SHA256 24d62ccc2c32e2ec52fb0eb7af1cc95d263860aba050a66aa25a2ac9498f73ec
-EBUILD evolution-2.32.2.ebuild 5834 RMD160 5eef477c20a66ffba51f118a5113173633558c90 SHA1 666fbd9863ef42ce4abe726456c8fbf33318c9cb SHA256 7d490438cbb7c81abea74b5bc98b2706a2a835ffa9b39828a9628a1f4ad83a95
+EBUILD evolution-2.30.2-r1.ebuild 5029 RMD160 8241ad82c3272cd03147e5b43f9caa630047200a SHA1 b6c58c109e65b130b75444dd01ab4b1c3e8358b9 SHA256 9b70b83a9c5958acecd43f424c6549dfa5ed348c7b76fe693398f8557e57fd62
+EBUILD evolution-2.32.2-r1.ebuild 5803 RMD160 051be40f1e1f6bc4b062dd338e769d7e25b7eb45 SHA1 9f8552243869436ef1634d467949e5da61d5068b SHA256 f39d95df4c9035d1835db3fc866fd6067192f26dbd2d57f4f5e838b5f07fb6d9
+EBUILD evolution-2.32.2.ebuild 5844 RMD160 6e9cc0759ace12289e2f67025aed848c8c1a8b14 SHA1 d399a5ef76542bf63a8b85445b3013c4cb230fce SHA256 cf27150b2c67bee90ca7ffb2517190a4051cdf0fe720d59eac9790384c69d115
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/mail-client/evolution/evolution-2.30.2-r1.ebuild,v 1.12 2011/02/05 16:15:21 ssuominen Exp $
+# $Header: /var/cvsroot/gentoo-x86/mail-client/evolution/evolution-2.30.2-r1.ebuild,v 1.13 2011/03/21 00:38:47 nirbheek Exp $
EAPI="2"
GCONF_DEBUG="no"
@@ -22,19 +22,19 @@ IUSE="crypt doc gstreamer kerberos ldap networkmanager nntp pda profile python s
# Pango dependency required to avoid font rendering problems
# We need a graphical pinentry frontend to be able to ask for the GPG
# password from inside evolution, bug 160302
-RDEPEND=">=dev-libs/glib-2.22[lib32?]
- >=x11-libs/gtk+-2.18[lib32?]
+RDEPEND=">=dev-libs/glib-2.22:2[lib32?]
+ >=x11-libs/gtk+-2.18:2[lib32?]
>=gnome-extra/evolution-data-server-$(get_version_component_range 1-2)
- >=gnome-base/gnome-desktop-2.26.0[lib32?]
- >=gnome-extra/gtkhtml-3.29.6[lib32?]
- >=gnome-base/gconf-2[lib32?]
+ >=gnome-base/gnome-desktop-2.26.0:2[lib32?]
+ >=gnome-extra/gtkhtml-3.29.6:3.14[lib32?]
+ >=gnome-base/gconf-2:2[lib32?]
>=gnome-base/libgnomecanvas-2[lib32?]
dev-libs/atk[lib32?]
>=dev-libs/dbus-glib-0.74[lib32?]
- >=dev-libs/libunique-1.1.2[lib32?]
- >=dev-libs/libxml2-2.7.3[lib32?]
+ >=dev-libs/libunique-1.1.2:1[lib32?]
+ >=dev-libs/libxml2-2.7.3:2[lib32?]
>=dev-libs/libgweather-2.25.3:2[lib32?]
- >=net-libs/libsoup-2.4[lib32?]
+ >=net-libs/libsoup-2.4:2.4[lib32?]
>=media-gfx/gtkimageview-1.6[lib32?]
media-libs/libcanberra[gtk,lib32?]
<x11-libs/libnotify-0.7[lib32?]
@@ -46,15 +46,15 @@ RDEPEND=">=dev-libs/glib-2.22[lib32?]
|| ( app-crypt/pinentry[gtk] app-crypt/pinentry[qt3] ) )
=app-crypt/gnupg-1.4*[lib32?] ) )
gstreamer? (
- >=media-libs/gstreamer-0.10[lib32?]
- >=media-libs/gst-plugins-base-0.10[lib32?] )
+ >=media-libs/gstreamer-0.10:0.10[lib32?]
+ >=media-libs/gst-plugins-base-0.10:0.10[lib32?] )
kerberos? ( virtual/krb5[lib32?] )
ldap? ( >=net-nds/openldap-2[lib32?] )
networkmanager? ( >=net-misc/networkmanager-0.7[lib32?] )
pda? (
>=app-pda/gnome-pilot-2.0.16[lib32?]
>=app-pda/gnome-pilot-conduits-2[lib32?] )
- python? ( >=dev-lang/python-2.4[lib32?] )
+ python? ( =dev-lang/python-2*[lib32?] )
ssl? (
>=dev-libs/nspr-4.6.1[lib32?]
>=dev-libs/nss-3.11[lib32?] )
@@ -1,158 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/mail-client/evolution/evolution-2.30.3.ebuild,v 1.10 2011/02/05 16:15:21 ssuominen Exp $
-
-EAPI="2"
-GCONF_DEBUG="no"
-
-inherit autotools eutils flag-o-matic gnome2 python versionator multilib-native
-
-DESCRIPTION="Integrated mail, addressbook and calendaring functionality"
-HOMEPAGE="http://www.gnome.org/projects/evolution/"
-
-LICENSE="GPL-2 LGPL-2 OPENLDAP"
-SLOT="2.0"
-KEYWORDS="alpha amd64 ia64 ~ppc ~ppc64 sparc x86 ~x86-fbsd"
-IUSE="crypt doc gstreamer kerberos ldap networkmanager nntp pda python ssl"
-# pst
-# mono - disabled because it just crashes on startup :S
-
-# Pango dependency required to avoid font rendering problems
-# We need a graphical pinentry frontend to be able to ask for the GPG.
-# Note that separate pinenetry-qt is actually newer than USE=qt4 in pinentry.
-# password from inside evolution, bug 160302
-PINENTRY_DEPEND="|| ( app-crypt/pinentry[gtk] app-crypt/pinentry-qt app-crypt/pinentry[qt4] app-crypt/pinentry[qt3] )"
-RDEPEND=">=dev-libs/glib-2.22[lib32?]
- >=x11-libs/gtk+-2.18[lib32?]
- >=gnome-extra/evolution-data-server-$(get_version_component_range 1-2)[weather]
- >=gnome-base/gnome-desktop-2.26[lib32?]
- >=gnome-extra/gtkhtml-3.29.6[lib32?]
- <gnome-extra/gtkhtml-3.31[lib32?]
- >=gnome-base/gconf-2[lib32?]
- >=gnome-base/libgnomecanvas-2[lib32?]
- dev-libs/atk[lib32?]
- >=dev-libs/dbus-glib-0.74[lib32?]
- >=dev-libs/libunique-1.1.2[lib32?]
- >=dev-libs/libxml2-2.7.3[lib32?]
- >=dev-libs/libgweather-2.25.3:2[lib32?]
- >=net-libs/libsoup-2.4[lib32?]
- >=media-gfx/gtkimageview-1.6[lib32?]
- media-libs/libcanberra[gtk,lib32?]
- <x11-libs/libnotify-0.7[lib32?]
- >=x11-misc/shared-mime-info-0.22
- >=x11-themes/gnome-icon-theme-2.20
-
- crypt? ( || (
- ( >=app-crypt/gnupg-2.0.1-r2[lib32?]
- ${PINENTRY_DEPEND} )
- =app-crypt/gnupg-1.4*[lib32?] ) )
- gstreamer? (
- >=media-libs/gstreamer-0.10[lib32?]
- >=media-libs/gst-plugins-base-0.10[lib32?] )
- kerberos? ( virtual/krb5[lib32?] )
- ldap? ( >=net-nds/openldap-2[lib32?] )
- networkmanager? ( >=net-misc/networkmanager-0.7[lib32?] )
- pda? (
- >=app-pda/gnome-pilot-2.0.16[lib32?]
- >=app-pda/gnome-pilot-conduits-2[lib32?] )
- python? ( >=dev-lang/python-2.4[lib32?] )
- ssl? (
- >=dev-libs/nspr-4.6.1[lib32?]
- >=dev-libs/nss-3.11[lib32?] )
-
- !<gnome-extra/evolution-exchange-2.30"
-# champlain, geoclue, clutter, gtkimageview
-# mono? ( >=dev-lang/mono-1 )
-
-DEPEND="${RDEPEND}
- >=dev-util/pkgconfig-0.16[lib32?]
- >=dev-util/intltool-0.35.5
- sys-devel/gettext[lib32?]
- sys-devel/bison
- app-text/scrollkeeper
- >=app-text/gnome-doc-utils-0.9.1[lib32?]
- app-text/docbook-xml-dtd:4.1.2
- >=gnome-base/gnome-common-2.12
- >=dev-util/gtk-doc-am-1.9
- doc? ( >=dev-util/gtk-doc-1.9 )"
-
-DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS* README"
-ELTCONF="--reverse-deps"
-
-multilib-native_pkg_setup_internal() {
- G2CONF="${G2CONF}
- --without-kde-applnk-path
- --enable-plugins=experimental
- --enable-image-inline
- --enable-canberra
- --enable-weather
- $(use_enable ssl nss)
- $(use_enable ssl smime)
- $(use_enable networkmanager nm)
- $(use_enable nntp)
- $(use_enable gstreamer audio-inline)
- $(use_enable pda pilot-conduits)
- --disable-profiling
- --disable-pst-import
- $(use_enable python)
- $(use_with ldap openldap)
- $(use_with kerberos krb5 /usr)
- --disable-contacts-map"
-
-# $(use_enable mono)
-
- # dang - I've changed this to do --enable-plugins=experimental. This will
- # autodetect new-mail-notify and exchange, but that cannot be helped for the
- # moment. They should be changed to depend on a --enable-<foo> like mono
- # is. This cleans up a ton of crap from this ebuild.
-
- # Use NSS/NSPR only if 'ssl' is enabled.
- if use ssl ; then
- G2CONF="${G2CONF} --enable-nss=yes"
- else
- G2CONF="${G2CONF}
- --without-nspr-libs
- --without-nspr-includes
- --without-nss-libs
- --without-nss-includes"
- fi
-}
-
-multilib-native_src_prepare_internal() {
- gnome2_src_prepare
-
- # Fix linking issues with libeshell, upstream #629098
- epatch "${FILESDIR}/${PN}-2.30.3-fix-linking-issues-in-libeshell.patch"
-
- # FIXME: Fix compilation flags crazyness
- sed -e 's/CFLAGS="$CFLAGS $WARNING_FLAGS"//' \
- -i configure.ac configure || die "sed 1 failed"
- sed -e 's/-DG.*_DISABLE_DEPRECATED//' \
- -e 's/-DPANGO_DISABLE_DEPRECATED//' \
- -i configure.ac configure || die "sed 2 failed"
-
- # Use NSS/NSPR only if 'ssl' is enabled.
- if use ssl ; then
- sed -e 's|mozilla-nss|nss|' \
- -e 's|mozilla-nspr|nspr|' \
- -i configure.ac configure || die "sed 3 failed"
- fi
-
- intltoolize --force --copy --automake || die "intltoolize failed"
- eautoreconf
-}
-
-multilib-native_pkg_postinst_internal() {
- gnome2_pkg_postinst
-
- elog "To change the default browser if you are not using GNOME, do:"
- elog "gconftool-2 --set /desktop/gnome/url-handlers/http/command -t string 'mozilla %s'"
- elog "gconftool-2 --set /desktop/gnome/url-handlers/https/command -t string 'mozilla %s'"
- elog ""
- elog "Replace 'mozilla %s' with which ever browser you use."
- elog ""
- elog "Junk filters are now a run-time choice. You will get a choice of"
- elog "bogofilter or spamassassin based on which you have installed"
- elog ""
- elog "You have to install one of these for the spam filtering to actually work"
-}
Oops, something went wrong.

0 comments on commit 186dc85

Please sign in to comment.